import directives from '@/directives';
import i18n from '@/i18n/index.ts';
import { createPinia } from 'pinia';
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate';
import { createApp } from 'vue';
import App from './App.vue';
import './assets/css/index.scss';
import './assets/css/tailwind.css';
import router from './router';

const pinia = createPinia();
const app = createApp(App);

// ? pinia 持久化存储
pinia.use(piniaPluginPersistedstate);
app.use(router).use(pinia).use(i18n).use(directives);
app.mount('#app');
